//--------------------------------------

$AutoUse[SniperRifle] = True;
$SellAmmo[SniperRifleAmmo] = 5;
$AmmoPackMax[SniperRifleAmmo] = 100;
$AmmoPackItems[1] = SniperRifleAmmo;
$WeaponAmmo[SniperRifle] = SniperRifleAmmo;

//--------------------------------------

$InvList[SniperRifle] = 1;
$InvList[SniperRifleAmmo] = 1;
$RemoteInvList[SniperRifle] = 1;
$RemoteInvList[SniperRifleAmmo] = 1;

//--------------------------------------

RocketData SniperRifleBullet1
{
   bulletShapeName    = "plasmaBullet.dts";
   explosionTag       = plasmaExp;

   collisionRadius = 0.0;
   mass            = 2.0;

   damageClass        = 1;
   damageValue        = 0.4;
   damageType         = $SniperRifleDamageType;
   explosionRadius    = 7.0;
   kickBackStrength = 0.0;

   muzzleVelocity     = 100.0;
   terminalVelocity = 80.0;
   acceleration     = 20.0;
   totalTime          = 2.0;
   liveTime           = 8.0;
   lightRange         = 3.0;
   lightColor         = { 6, 2, 8 };

   inheritedVelocityScale = 0.5;
   isVisible          = True;

   // rocket specific
   trailType   = 2;                // smoke trail
   trailString = "plasmatrail.dts";
   smokeDist   = 3;

   soundId = SoundJetLight;
};

RocketData SniperRifleBullet2
{
   bulletShapeName    = "shotgunex.dts";
   explosionTag       = BlasterExp;

   collisionRadius = 0.0;
   mass            = 2.0;

   damageClass        = 1;
   damageValue        = 0;
   damageType         = $SniperRifleDamageType;
   explosionRadius    = 7.0;
   kickBackStrength = 0.0;

   muzzleVelocity     = 100.0;
   terminalVelocity = 80.0;
   acceleration     = 20.0;
   totalTime          = 2.0;
   liveTime           = 8.0;
   lightRange         = 3.0;
   lightColor         = { 6, 2, 8 };

   inheritedVelocityScale = 0.5;
   isVisible          = True;

   // rocket specific
   trailType   = 2;                // smoke trail
   trailString = "shotgunex.dts";
   smokeDist   = 3;

   soundId = SoundJetLight;
};

$BulletToWeapon[SniperRifleBullet1] = SniperRifle;
$BulletToWeapon[SniperRifleBullet2] = SniperRifle;

//--------------------------------------


ItemData SniperRifleAmmo
{
	description = "SniperRifle Bullets";
   heading = "xAmmunition";
	className = "Ammo";
	shapeFile = "plasammo";
	shadowDetailMask = 4;
	price = 12;
};

ItemImageData SniperRifleImage
{
	shapeFile = "plasma";
	mountPoint = 0;
	mountOffset = { 0, 0, 0 }; //-  left-right, back-front, up-down
	mountRotation = { 0, -3.18, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right

	weaponType = 0; // Double Shot
	ammoType = SniperRifleAmmo;
	projectileType = SniperRifleBullet;
	accuFire = true;
	reloadTime = 1;
	fireTime = 0.1;

	lightType = 0;  // Weapon Fire
	lightRadius = 3;
	lightTime = 1;
	lightColor = { 1, 1, 0.2 };

	sfxFire = SoundFireMortar;
	sfxActivate = SoundPickUpWeapon;
	sfxReload = SoundFireLaser;
};

ItemData SniperRifle
{
	description = "Sniper Rifle";
	className = "Weapon";
	shapeFile = "plasma";
	hudIcon = "plasma";
   heading = "bWeapons";
	shadowDetailMask = 4;
	imageType = SniperRifleImage;
	price = 275;
	showWeaponBar = true;
   validateShape = true;
};

//--------------------------------------

ItemImageData SniperRifle1Image
{
	shapeFile = "shotgun";
	mountPoint = 0; 
	mountOffset = { 0, 0, 0 }; //-  left-right, back-front, up-down
	mountRotation = { 0, 0, 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData SniperRifle1
{
	description = "SniperRifle1";
	className = "weapon";
	shapeFile = "shotgun";
	shadowDetailMask = 4;
	imageType = SniperRifle1Image;
	showWeaponBar = false;
};

ItemImageData SniperRifle2Image
{
	shapeFile = "sensorjampack";
	mountPoint = 0; 
	mountOffset = { 0, 0, -0.1  }; //-  left-right, back-front, up-down
	mountRotation = { 0, -3.18 , 0  }; //- X= up-down , Y= roll-left-right , Z= left-right
};

ItemData SniperRifle2
{
	description = "SniperRifle2";
	className = "weapon";
	shapeFile = "sensorjampack";
	shadowDetailMask = 4;
	imageType = SniperRifle2Image;
	showWeaponBar = false;
};


function SniperRifle::onMount(%player,%item)
{
	Player::mountItem(%player, SniperRifle1, 5);
	Player::mountItem(%player, SniperRifle2, 6);
}

function SniperRifle::onUnMount(%player,%item)
{
	Player::unmountItem(%player, 5);
	Player::unmountItem(%player, 6);
}
function SniperRifleImage::onFire(%player, %slot) 
{		
	if($debug)echo("?? EVENT fire "@Player::getMountedItem(%player,0)@ " player "@ %player @" cl# "@ Player::getclient(%player));	
	%client = GameBase::getOwnerClient(%player); 
	Player::decItemCount(%player,SniperRifleammo,1); 
	%trans = GameBase::getMuzzleTransform(%player); 
	%vel = Item::getVelocity(%player); 
	Projectile::spawnProjectile("SniperRifleBullet1",%trans,%player,%vel,%player);
	Projectile::spawnProjectile("SniperRifleBullet2",%trans,%player,%vel,%player);
		
}